using Microsoft.UI.Xaml.Controls;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public sealed partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainPage()

        /// <summary>
        /// 
        /// </summary>
        public MainPage()
        {
            InitializeComponent();

            this.tabWidthBehaviorComboBox.SelectionChanged += tabWidthBehaviorComboBox_SelectionChanged;

            this.tabWidthBehaviorComboBox.SelectedIndex = 0;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region  ʺ ޺ ڽ   óϱ - tabWidthBehaviorComboBox_SelectionChanged(sender, e)

        /// <summary>
        ///  ʺ ޺ ڽ   óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void tabWidthBehaviorComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            string widthModeString = (e.AddedItems[0] as ComboBoxItem).Content.ToString();

            TabViewWidthMode widthMode = TabViewWidthMode.Equal;

            switch(widthModeString)
            {
                case "Equal"         : widthMode = TabViewWidthMode.Equal;         break;
                case "SizeToContent" : widthMode = TabViewWidthMode.SizeToContent; break;
                case "Compact"       : widthMode = TabViewWidthMode.Compact;       break;
            }

            this.tabView.TabWidthMode = widthMode;
        }

        #endregion
    }
}